polybori::groebner::LiteralFactorizationIterator Class Reference

This class defines LiteralFactorizationIterator. More...

`#include <LiteralFactorizationIterator.h>`

## Public Types

typedef LiteralFactorization | fac_type
typedef fac_type::var2var_map_type | var2var_map_type
typedef fac_type::map_type | map_type

## Public Member Functions

| LiteralFactorizationIterator (LiteralFactorization *literal_factorization_, map_type::const_iterator var2const_iter_, var2var_map_type::const_iterator var2var_iter_)
self & | operator++ ()
Polynomial | operator* () const
bool | operator== (const self &other)
bool | operator!= (const self &other)

## Detailed Description

This class defines LiteralFactorizationIterator.

## Member Typedef Documentation

typedef LiteralFactorization polybori::groebner::LiteralFactorizationIterator::fac_type

typedef fac_type::map_type polybori::groebner::LiteralFactorizationIterator::map_type

typedef fac_type::var2var_map_type polybori::groebner::LiteralFactorizationIterator::var2var_map_type

## Constructor & Destructor Documentation

polybori::groebner::LiteralFactorizationIterator::LiteralFactorizationIterator | ( | LiteralFactorization * | literal_factorization_,
|  | map_type::const_iterator | var2const_iter_,
|  | var2var_map_type::const_iterator | var2var_iter_
| ) |  |

inline

## Member Function Documentation

bool polybori::groebner::LiteralFactorizationIterator::operator!= | ( | const self & | other | ) |

inline

Polynomial polybori::groebner::LiteralFactorizationIterator::operator* | ( |  | ) | const

LiteralFactorizationIterator::self & polybori::groebner::LiteralFactorizationIterator::operator++ | ( |  | ) |

bool polybori::groebner::LiteralFactorizationIterator::operator== | ( | const self & | other | ) |

inline

The documentation for this class was generated from the following files:

- LiteralFactorizationIterator.h
- LiteralFactorizationIterator.cc